Name:		uget
Version:	2.1.5
Release:	%mkrel 1
Summary:	Download manager using GTK+ and libcurl
Group:		Networking/File transfer
License:	LGPLv2+
URL:		http://ugetdm.com/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{version}.tar.gz
Patch0:		uget-2.0.4-mga-not-show-Update_Message_banner.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)

%description
uGet is an open source download manager based on GTK+.

uGet Features:

 * Downloads Queue,
 * Pause/Resume,
 * Clipboard Monitor,
 * Batch Downloads,
 * Browser Integration,
 * Multiple Connections,
 * Speed Limit Controls,
 * Powerful Category based control and much more.

Each Category has an independent configuration that can be inherited by each
download in that category.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}-gtk*
%{_datadir}/applications/%{name}-gtk.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*.*
%{_datadir}/sounds/%{name}/
%{_datadir}/pixmaps/%{name}/


%changelog
* Wed Apr 26 2017 akien <akien> 2.1.5-1.mga6
+ Revision: 1097580
- Version 2.1.5

* Mon Feb 20 2017 daviddavid <daviddavid> 2.0.9-1.mga6
+ Revision: 1087009
- new version: 2.0.9

* Mon May 16 2016 daviddavid <daviddavid> 2.0.8-1.mga6
+ Revision: 1015980
- new version: 2.0.8

* Wed May 11 2016 daviddavid <daviddavid> 2.0.7-2.mga6
+ Revision: 1012432
- revision 2 from 2.0.7 release

* Tue Apr 12 2016 daviddavid <daviddavid> 2.0.7-1.mga6
+ Revision: 1000807
- new version: 2.0.7

* Fri Apr 01 2016 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 997323
- new version: 2.0.6

* Tue Feb 09 2016 daviddavid <daviddavid> 2.0.5-1.mga6
+ Revision: 951867
- new version: 2.0.5

* Fri Feb 05 2016 tv <tv> 2.0.4-2.mga6
+ Revision: 937921
- rebuild against openssl instead of libressl

* Fri Jan 01 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 918021
- new version: 2.0.4
- add patch0 to disable the Update_Message banner

* Wed Nov 11 2015 daviddavid <daviddavid> 2.0.3-1.mga6
+ Revision: 902592
- new version: 2.0.3 (fix mga#17132)
- improve description (Thanks to Michael Tunnell, upstream developer)

* Wed Nov 11 2015 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 902507
- new version: 2.0.2 (fix mga#12697)

* Wed Oct 15 2014 umeabot <umeabot> 1.10.4-3.mga5
+ Revision: 749739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.4-2.mga5
+ Revision: 690026
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.10.4-1.mga5
+ Revision: 643861
- 1.10.4

* Sat Oct 19 2013 umeabot <umeabot> 1.10.3-3.mga4
+ Revision: 528609
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 fwang <fwang> 1.10.3-2.mga4
+ Revision: 446751
- update br

* Wed Jun 26 2013 fwang <fwang> 1.10.3-1.mga4
+ Revision: 446741
- update file list
- new version 1.10.3

* Mon Jan 14 2013 umeabot <umeabot> 1.10.2-2.mga3
+ Revision: 385017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.10.2-1.mga3
+ Revision: 324862
- new version 1.10.2

* Sun Jun 24 2012 kamil <kamil> 1.8.2-1.mga3
+ Revision: 262930
- new version 1.8.2 (again)

* Sun Jun 24 2012 kamil <kamil> 1.8.1-2.mga3
+ Revision: 262924
- new version 1.8.2

* Mon May 28 2012 kamil <kamil> 1.8.1-1.mga3
+ Revision: 247674
- new version 1.8.1

* Tue Feb 21 2012 kamil <kamil> 1.8.0-3.mga2
+ Revision: 211369
- adapt .spec for Mageia
- imported package uget

